Subject: [Mip6] Re: HIOPT clarification

From: Heejin Jang <[email-masked]>
Date: Sat, 03 Mar 2007 13:51:32 +0000 (GMT)

Hi, Kuntal and all.

Kindly see the inline.

------- Original Message -------
Sender : Chowdhury, Kuntal<[email-masked]>
Date : 2007-03-01 02:18
Title : HIOPT clarification

Hi Heejin, all,

Based on the comment from Kilian, I think we should clarify how the MN

requests HA address for different service/protocol. My proposal is:

In the HIOPT I-D, we include example encoding of the Home Network

Identifier (FQDN) as follows:

IPv6 address of MIP6 HA: ha.mip6.domain

IPv6 address of DSMIP6 HA: ha.dsmip6.ip6.domain

IPv4 address of DSMIP6 HA: ha.dsmip6.ip4.domain

HJ>> RFC2782 describes such a
encoded " _Service._Proto.Name" format

('_' for
the service identifier to avoid collisions with DNS labels.)

For the proposed *encoded* FQDN,  I
think  the rule for encoding should be standardized as RFC2782.

I prefer to let it another standalone
standard or possibly be reflected in next-version-of RFC2782, and
just

make a simple statement refering to it
in HIOPT document.

The sub-opt-code field in the MIP6 Relay Agent Sub-option and Home

Network Information Sub-option should be encoded accordingly.

Comments?

-Kuntal

"This email message and any attachments are confidential information of Starent Networks, Corp. The information transmitted may not be used to create or change any contractual obligations of Starent Networks, Corp.  Any review, retransmission, dissemination or other use of, or taking of any action in reliance upon this e-mail and its attachments by persons or entities other than the intended recipient is prohibited. If you are not the intended recipient, please notify the sender immediately -- by replying to this message or by sending an email to [email-masked] -- and destroy all copies of this message and any attachments without reading or disclosing their contents. Thank you."

--   Regard

Heejin

_______________________________________________
Mip6 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mip6